package com.xzzn.ems.domain.vo;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 时间点-总充放电数据
 */
public class TimePointValue {
    private String siteId;
    private LocalDateTime dataUpdateTime;
    // 总充电量
    private BigDecimal totalChargeData;
    // 总放电量
    private BigDecimal totalDischargeData;

    public String getSiteId() {
        return siteId;
    }

    public void setSiteId(String siteId) {
        this.siteId = siteId;
    }

    public LocalDateTime getDataUpdateTime() {
        return dataUpdateTime;
    }

    public void setDataUpdateTime(LocalDateTime dataUpdateTime) {
        this.dataUpdateTime = dataUpdateTime;
    }

    public BigDecimal getTotalChargeData() {
        return totalChargeData;
    }

    public void setTotalChargeData(BigDecimal totalChargeData) {
        this.totalChargeData = totalChargeData;
    }

    public BigDecimal getTotalDischargeData() {
        return totalDischargeData;
    }

    public void setTotalDischargeData(BigDecimal totalDischargeData) {
        this.totalDischargeData = totalDischargeData;
    }
}
